CatalogCollections
Get collection
Returns collection metadata, rules, overrides and counts. Product rows are available separately through the paginated collection products endpoint.
Path Parameters
collectionId*string
Identifier of the collection.
Header Parameters
x-Store-Id?string
Store the request acts on. Not needed when the token is bound to a store.
Response Body
application/json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
curl -X GET "https://api.ecomiq.pe/api/v1/catalog/collections/7204558912004326958" \ -H "x-Store-Id: <store-id>" \ -H "Authorization: Bearer <token>"{ "id": "7204558912004326958", "storeId": "7204558912004327977", "name": "Nueva temporada", "slug": "nueva-temporada", "description": "Polo de algodón pima para uso diario.", "template": "Nueva temporada", "status": "draft", "image": { "id": "7204558912004326958", "url": "https://mi-tienda.ecomiq.app/collections/nueva-temporada" }, "type": "static", "dynamicOperator": "and", "validFrom": "2026-09-28T15:30:00Z", "validTo": "2026-09-28T15:30:00Z", "rules": [ { "field": "price", "operator": "eq", "path": "Nueva temporada", "value": "Nueva temporada" } ], "includeCollectionIds": [ "7204558912004328718" ], "excludeCollectionIds": [ "7204558912004322304" ], "includeProductIds": [ "7204558912004327399" ], "excludeProductIds": [ "7204558912004327645" ], "pins": [ { "productId": "7204558912004322039", "position": 1 } ], "productCount": 24, "createdOn": "2026-09-28T15:30:00Z", "updatedOn": "2026-09-28T15:30:00Z"}